#include "pch.h"
#include "log.h"
#include "node_changelog.h"
#include "layout.h"

Node* NodeChangelog::clone_instantiate() const
{
    return new NodeChangelog();
}

void NodeChangelog::init()
{
    SetPosition(0, 0);
    SetWidthP(100);
    SetHeightP(100);
    SetPositioning(YGPositionTypeAbsolute);
    add_child_file("data/dialogs/changelog.xml", "changelog");
    btn_ok = find<NodeButton>("btn-ok");
}

kEventResult NodeChangelog::handle_event(Event* e)
{
    return kEventResult::Consumed;
}
